## InfCommunicationCentralMethod

InfCommunicationCentralMethod — Relying group messages via the publisher

## Stability Level

Unstable, unless otherwise indicated

## Properties

InfCommunicationGroup * | group | Read / Write / Construct Only
InfCommunicationRegistry * | registry | Read / Write / Construct Only

## Types and Values

struct | InfCommunicationCentralMethod
struct | InfCommunicationCentralMethodClass

## Object Hierarchy

        GObject
        ╰── InfCommunicationCentralMethod

## Implemented Interfaces

InfCommunicationCentralMethod implements InfCommunicationMethod.

## Includes

    #include <libinfinity/communication/inf-communication-central-method.h>

## Description

InfCommunicationCentralMethod implements InfCommunicationMethod by relaying all messages via the group's publisher. If the connection to the publisher is lost, so is the connection to all other group members.

## Functions

## Types and Values

### struct InfCommunicationCentralMethod

    struct InfCommunicationCentralMethod;

InfCommunicationCentralMethod is an opaque data type. You should only access it * via the public API functions.

### struct InfCommunicationCentralMethodClass

    struct InfCommunicationCentralMethodClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“group”` property

      “group”                    InfCommunicationGroup *

The communication group for which to handle messages.

Owner: InfCommunicationCentralMethod

Flags: Read / Write / Construct Only

### The `“registry”` property

      “registry”                 InfCommunicationRegistry *

The communication registry to register connections with.

Owner: InfCommunicationCentralMethod

Flags: Read / Write / Construct Only